com.ihr.xbrl.tools.excel

## Class ExcelSheetPointFactory

- java.lang.Object
- - com.ihr.xbrl.util.workbooks.SheetPointFactory
  - - com.ihr.xbrl.tools.excel.ExcelSheetPointFactory

-     public class ExcelSheetPointFactory
      extends SheetPointFactory

  A factory for creating ExcelSheetPoint objects.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExcelSheetPointFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<? extends SheetPoint>` | `getSheetPointClass()` Access to the surrounding class implementing the SheetPoint interface.
    `ExcelSheetPoint` | `makeSheetPoint(java.lang.String cellStr)` Make sheet point.
    `ExcelSheetPoint` | `makeSheetPoint(java.lang.String name, RSSheet sheet, int row, short col)` Make sheet point.
    `ExcelSheetPoint` | `makeSheetPoint(java.lang.String roundingCell, RSWorkbook wb)` Make sheet point.

    - ### Methods inherited from class com.ihr.xbrl.util.workbooks.SheetPointFactory

      `equals`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExcelSheetPointFactory

          public ExcelSheetPointFactory()

  - ### Method Detail

    - #### makeSheetPoint

          public ExcelSheetPoint makeSheetPoint(java.lang.String cellStr)
                                         throws InvalidSheetPointException

      Description copied from class: `SheetPointFactory`
      Make sheet point.
      Specified by:
        `makeSheetPoint` in class `SheetPointFactory`
      Parameters:
        `cellStr` - the cell str
      Returns:
        the sheet point
      Throws:
        `InvalidSheetPointException` - the invalid sheet point exception

    - #### makeSheetPoint

          public ExcelSheetPoint makeSheetPoint(java.lang.String roundingCell,
                                       RSWorkbook wb)
                                         throws InvalidSheetPointException

      Description copied from class: `SheetPointFactory`
      Make sheet point.
      Specified by:
        `makeSheetPoint` in class `SheetPointFactory`
      Parameters:
        `roundingCell` - the rounding cell
        `wb` - the wb
      Returns:
        the sheet point
      Throws:
        `InvalidSheetPointException` - the invalid sheet point exception

    - #### makeSheetPoint

          public ExcelSheetPoint makeSheetPoint(java.lang.String name,
                                       RSSheet sheet,
                                       int row,
                                       short col)

      Description copied from class: `SheetPointFactory`
      Make sheet point.
      Specified by:
        `makeSheetPoint` in class `SheetPointFactory`
      Parameters:
        `name` - the name
        `sheet` - the sheet
        `row` - the min
        `col` - the min2
      Returns:
        the sheet point

    - #### getSheetPointClass

          public java.lang.Class<? extends SheetPoint> getSheetPointClass()

      Description copied from class: `SheetPointFactory`
      Access to the surrounding class implementing the SheetPoint interface.
      Specified by:
        `getSheetPointClass` in class `SheetPointFactory`
      Returns:
        the sheet point class